export default (callback) =>
  require.ensure([], () => {
    const actions = require.context('.', true, /actions?\.js$/, 'actions')
    const reducers = require.context('.', true, /reducers?\.js$/, 'reducers')
    const sagas = require.context('.', true, /sagas?\.js$/, 'sagas')
    const selectors = require.context('.', true, /selectors?\.js$/, 'selectors')

    callback({
      actions,
      reducers,
      sagas,
      selectors
    })
  })
