export default (callback) =>
  require.ensure([], () => {
    const actions = require.context('./actions', true, /((?!spec).{4}|^.{0,3})\.js$/, 'actions')
    const reducers = require.context('./reducers', true, /((?!spec).{4}|^.{0,3})\.js$/, 'reducers')
    const selectors = require.context('./selectors', true, /((?!spec).{4}|^.{0,3})\.js$/, 'selectors')
    const sagas = require.context('./sagas', true, /((?!spec).{4}|^.{0,3})\.js$/, 'sagas')

    callback({
      actions,
      reducers,
      sagas, 
      selectors
    })
  })
